Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:e006:b000/116
First address
2c19:dd:d9:dd:c25:c25:e006:b000
Last address
2c19:dd:d9:dd:c25:c25:e006:bfff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:e006:b000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
b.6.0.0.e.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/127

2c19:dd:d9:dd:c25:c25:e006:b000/116 makes 2,048 subnets of /127; the first 256 are listed.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:e006:b000/1272c19:dd:d9:dd:c25:c25:e006:b001
22c19:dd:d9:dd:c25:c25:e006:b002/1272c19:dd:d9:dd:c25:c25:e006:b003
32c19:dd:d9:dd:c25:c25:e006:b004/1272c19:dd:d9:dd:c25:c25:e006:b005
42c19:dd:d9:dd:c25:c25:e006:b006/1272c19:dd:d9:dd:c25:c25:e006:b007
52c19:dd:d9:dd:c25:c25:e006:b008/1272c19:dd:d9:dd:c25:c25:e006:b009
62c19:dd:d9:dd:c25:c25:e006:b00a/1272c19:dd:d9:dd:c25:c25:e006:b00b
72c19:dd:d9:dd:c25:c25:e006:b00c/1272c19:dd:d9:dd:c25:c25:e006:b00d
82c19:dd:d9:dd:c25:c25:e006:b00e/1272c19:dd:d9:dd:c25:c25:e006:b00f
92c19:dd:d9:dd:c25:c25:e006:b010/1272c19:dd:d9:dd:c25:c25:e006:b011
102c19:dd:d9:dd:c25:c25:e006:b012/1272c19:dd:d9:dd:c25:c25:e006:b013
112c19:dd:d9:dd:c25:c25:e006:b014/1272c19:dd:d9:dd:c25:c25:e006:b015
122c19:dd:d9:dd:c25:c25:e006:b016/1272c19:dd:d9:dd:c25:c25:e006:b017
132c19:dd:d9:dd:c25:c25:e006:b018/1272c19:dd:d9:dd:c25:c25:e006:b019
142c19:dd:d9:dd:c25:c25:e006:b01a/1272c19:dd:d9:dd:c25:c25:e006:b01b
152c19:dd:d9:dd:c25:c25:e006:b01c/1272c19:dd:d9:dd:c25:c25:e006:b01d
162c19:dd:d9:dd:c25:c25:e006:b01e/1272c19:dd:d9:dd:c25:c25:e006:b01f
172c19:dd:d9:dd:c25:c25:e006:b020/1272c19:dd:d9:dd:c25:c25:e006:b021
182c19:dd:d9:dd:c25:c25:e006:b022/1272c19:dd:d9:dd:c25:c25:e006:b023
192c19:dd:d9:dd:c25:c25:e006:b024/1272c19:dd:d9:dd:c25:c25:e006:b025
202c19:dd:d9:dd:c25:c25:e006:b026/1272c19:dd:d9:dd:c25:c25:e006:b027
212c19:dd:d9:dd:c25:c25:e006:b028/1272c19:dd:d9:dd:c25:c25:e006:b029
222c19:dd:d9:dd:c25:c25:e006:b02a/1272c19:dd:d9:dd:c25:c25:e006:b02b
232c19:dd:d9:dd:c25:c25:e006:b02c/1272c19:dd:d9:dd:c25:c25:e006:b02d
242c19:dd:d9:dd:c25:c25:e006:b02e/1272c19:dd:d9:dd:c25:c25:e006:b02f
252c19:dd:d9:dd:c25:c25:e006:b030/1272c19:dd:d9:dd:c25:c25:e006:b031
262c19:dd:d9:dd:c25:c25:e006:b032/1272c19:dd:d9:dd:c25:c25:e006:b033
272c19:dd:d9:dd:c25:c25:e006:b034/1272c19:dd:d9:dd:c25:c25:e006:b035
282c19:dd:d9:dd:c25:c25:e006:b036/1272c19:dd:d9:dd:c25:c25:e006:b037
292c19:dd:d9:dd:c25:c25:e006:b038/1272c19:dd:d9:dd:c25:c25:e006:b039
302c19:dd:d9:dd:c25:c25:e006:b03a/1272c19:dd:d9:dd:c25:c25:e006:b03b
312c19:dd:d9:dd:c25:c25:e006:b03c/1272c19:dd:d9:dd:c25:c25:e006:b03d
322c19:dd:d9:dd:c25:c25:e006:b03e/1272c19:dd:d9:dd:c25:c25:e006:b03f
332c19:dd:d9:dd:c25:c25:e006:b040/1272c19:dd:d9:dd:c25:c25:e006:b041
342c19:dd:d9:dd:c25:c25:e006:b042/1272c19:dd:d9:dd:c25:c25:e006:b043
352c19:dd:d9:dd:c25:c25:e006:b044/1272c19:dd:d9:dd:c25:c25:e006:b045
362c19:dd:d9:dd:c25:c25:e006:b046/1272c19:dd:d9:dd:c25:c25:e006:b047
372c19:dd:d9:dd:c25:c25:e006:b048/1272c19:dd:d9:dd:c25:c25:e006:b049
382c19:dd:d9:dd:c25:c25:e006:b04a/1272c19:dd:d9:dd:c25:c25:e006:b04b
392c19:dd:d9:dd:c25:c25:e006:b04c/1272c19:dd:d9:dd:c25:c25:e006:b04d
402c19:dd:d9:dd:c25:c25:e006:b04e/1272c19:dd:d9:dd:c25:c25:e006:b04f
412c19:dd:d9:dd:c25:c25:e006:b050/1272c19:dd:d9:dd:c25:c25:e006:b051
422c19:dd:d9:dd:c25:c25:e006:b052/1272c19:dd:d9:dd:c25:c25:e006:b053
432c19:dd:d9:dd:c25:c25:e006:b054/1272c19:dd:d9:dd:c25:c25:e006:b055
442c19:dd:d9:dd:c25:c25:e006:b056/1272c19:dd:d9:dd:c25:c25:e006:b057
452c19:dd:d9:dd:c25:c25:e006:b058/1272c19:dd:d9:dd:c25:c25:e006:b059
462c19:dd:d9:dd:c25:c25:e006:b05a/1272c19:dd:d9:dd:c25:c25:e006:b05b
472c19:dd:d9:dd:c25:c25:e006:b05c/1272c19:dd:d9:dd:c25:c25:e006:b05d
482c19:dd:d9:dd:c25:c25:e006:b05e/1272c19:dd:d9:dd:c25:c25:e006:b05f
492c19:dd:d9:dd:c25:c25:e006:b060/1272c19:dd:d9:dd:c25:c25:e006:b061
502c19:dd:d9:dd:c25:c25:e006:b062/1272c19:dd:d9:dd:c25:c25:e006:b063
512c19:dd:d9:dd:c25:c25:e006:b064/1272c19:dd:d9:dd:c25:c25:e006:b065
522c19:dd:d9:dd:c25:c25:e006:b066/1272c19:dd:d9:dd:c25:c25:e006:b067
532c19:dd:d9:dd:c25:c25:e006:b068/1272c19:dd:d9:dd:c25:c25:e006:b069
542c19:dd:d9:dd:c25:c25:e006:b06a/1272c19:dd:d9:dd:c25:c25:e006:b06b
552c19:dd:d9:dd:c25:c25:e006:b06c/1272c19:dd:d9:dd:c25:c25:e006:b06d
562c19:dd:d9:dd:c25:c25:e006:b06e/1272c19:dd:d9:dd:c25:c25:e006:b06f
572c19:dd:d9:dd:c25:c25:e006:b070/1272c19:dd:d9:dd:c25:c25:e006:b071
582c19:dd:d9:dd:c25:c25:e006:b072/1272c19:dd:d9:dd:c25:c25:e006:b073
592c19:dd:d9:dd:c25:c25:e006:b074/1272c19:dd:d9:dd:c25:c25:e006:b075
602c19:dd:d9:dd:c25:c25:e006:b076/1272c19:dd:d9:dd:c25:c25:e006:b077
612c19:dd:d9:dd:c25:c25:e006:b078/1272c19:dd:d9:dd:c25:c25:e006:b079
622c19:dd:d9:dd:c25:c25:e006:b07a/1272c19:dd:d9:dd:c25:c25:e006:b07b
632c19:dd:d9:dd:c25:c25:e006:b07c/1272c19:dd:d9:dd:c25:c25:e006:b07d
642c19:dd:d9:dd:c25:c25:e006:b07e/1272c19:dd:d9:dd:c25:c25:e006:b07f
652c19:dd:d9:dd:c25:c25:e006:b080/1272c19:dd:d9:dd:c25:c25:e006:b081
662c19:dd:d9:dd:c25:c25:e006:b082/1272c19:dd:d9:dd:c25:c25:e006:b083
672c19:dd:d9:dd:c25:c25:e006:b084/1272c19:dd:d9:dd:c25:c25:e006:b085
682c19:dd:d9:dd:c25:c25:e006:b086/1272c19:dd:d9:dd:c25:c25:e006:b087
692c19:dd:d9:dd:c25:c25:e006:b088/1272c19:dd:d9:dd:c25:c25:e006:b089
702c19:dd:d9:dd:c25:c25:e006:b08a/1272c19:dd:d9:dd:c25:c25:e006:b08b
712c19:dd:d9:dd:c25:c25:e006:b08c/1272c19:dd:d9:dd:c25:c25:e006:b08d
722c19:dd:d9:dd:c25:c25:e006:b08e/1272c19:dd:d9:dd:c25:c25:e006:b08f
732c19:dd:d9:dd:c25:c25:e006:b090/1272c19:dd:d9:dd:c25:c25:e006:b091
742c19:dd:d9:dd:c25:c25:e006:b092/1272c19:dd:d9:dd:c25:c25:e006:b093
752c19:dd:d9:dd:c25:c25:e006:b094/1272c19:dd:d9:dd:c25:c25:e006:b095
762c19:dd:d9:dd:c25:c25:e006:b096/1272c19:dd:d9:dd:c25:c25:e006:b097
772c19:dd:d9:dd:c25:c25:e006:b098/1272c19:dd:d9:dd:c25:c25:e006:b099
782c19:dd:d9:dd:c25:c25:e006:b09a/1272c19:dd:d9:dd:c25:c25:e006:b09b
792c19:dd:d9:dd:c25:c25:e006:b09c/1272c19:dd:d9:dd:c25:c25:e006:b09d
802c19:dd:d9:dd:c25:c25:e006:b09e/1272c19:dd:d9:dd:c25:c25:e006:b09f
812c19:dd:d9:dd:c25:c25:e006:b0a0/1272c19:dd:d9:dd:c25:c25:e006:b0a1
822c19:dd:d9:dd:c25:c25:e006:b0a2/1272c19:dd:d9:dd:c25:c25:e006:b0a3
832c19:dd:d9:dd:c25:c25:e006:b0a4/1272c19:dd:d9:dd:c25:c25:e006:b0a5
842c19:dd:d9:dd:c25:c25:e006:b0a6/1272c19:dd:d9:dd:c25:c25:e006:b0a7
852c19:dd:d9:dd:c25:c25:e006:b0a8/1272c19:dd:d9:dd:c25:c25:e006:b0a9
862c19:dd:d9:dd:c25:c25:e006:b0aa/1272c19:dd:d9:dd:c25:c25:e006:b0ab
872c19:dd:d9:dd:c25:c25:e006:b0ac/1272c19:dd:d9:dd:c25:c25:e006:b0ad
882c19:dd:d9:dd:c25:c25:e006:b0ae/1272c19:dd:d9:dd:c25:c25:e006:b0af
892c19:dd:d9:dd:c25:c25:e006:b0b0/1272c19:dd:d9:dd:c25:c25:e006:b0b1
902c19:dd:d9:dd:c25:c25:e006:b0b2/1272c19:dd:d9:dd:c25:c25:e006:b0b3
912c19:dd:d9:dd:c25:c25:e006:b0b4/1272c19:dd:d9:dd:c25:c25:e006:b0b5
922c19:dd:d9:dd:c25:c25:e006:b0b6/1272c19:dd:d9:dd:c25:c25:e006:b0b7
932c19:dd:d9:dd:c25:c25:e006:b0b8/1272c19:dd:d9:dd:c25:c25:e006:b0b9
942c19:dd:d9:dd:c25:c25:e006:b0ba/1272c19:dd:d9:dd:c25:c25:e006:b0bb
952c19:dd:d9:dd:c25:c25:e006:b0bc/1272c19:dd:d9:dd:c25:c25:e006:b0bd
962c19:dd:d9:dd:c25:c25:e006:b0be/1272c19:dd:d9:dd:c25:c25:e006:b0bf
972c19:dd:d9:dd:c25:c25:e006:b0c0/1272c19:dd:d9:dd:c25:c25:e006:b0c1
982c19:dd:d9:dd:c25:c25:e006:b0c2/1272c19:dd:d9:dd:c25:c25:e006:b0c3
992c19:dd:d9:dd:c25:c25:e006:b0c4/1272c19:dd:d9:dd:c25:c25:e006:b0c5
1002c19:dd:d9:dd:c25:c25:e006:b0c6/1272c19:dd:d9:dd:c25:c25:e006:b0c7
1012c19:dd:d9:dd:c25:c25:e006:b0c8/1272c19:dd:d9:dd:c25:c25:e006:b0c9
1022c19:dd:d9:dd:c25:c25:e006:b0ca/1272c19:dd:d9:dd:c25:c25:e006:b0cb
1032c19:dd:d9:dd:c25:c25:e006:b0cc/1272c19:dd:d9:dd:c25:c25:e006:b0cd
1042c19:dd:d9:dd:c25:c25:e006:b0ce/1272c19:dd:d9:dd:c25:c25:e006:b0cf
1052c19:dd:d9:dd:c25:c25:e006:b0d0/1272c19:dd:d9:dd:c25:c25:e006:b0d1
1062c19:dd:d9:dd:c25:c25:e006:b0d2/1272c19:dd:d9:dd:c25:c25:e006:b0d3
1072c19:dd:d9:dd:c25:c25:e006:b0d4/1272c19:dd:d9:dd:c25:c25:e006:b0d5
1082c19:dd:d9:dd:c25:c25:e006:b0d6/1272c19:dd:d9:dd:c25:c25:e006:b0d7
1092c19:dd:d9:dd:c25:c25:e006:b0d8/1272c19:dd:d9:dd:c25:c25:e006:b0d9
1102c19:dd:d9:dd:c25:c25:e006:b0da/1272c19:dd:d9:dd:c25:c25:e006:b0db
1112c19:dd:d9:dd:c25:c25:e006:b0dc/1272c19:dd:d9:dd:c25:c25:e006:b0dd
1122c19:dd:d9:dd:c25:c25:e006:b0de/1272c19:dd:d9:dd:c25:c25:e006:b0df
1132c19:dd:d9:dd:c25:c25:e006:b0e0/1272c19:dd:d9:dd:c25:c25:e006:b0e1
1142c19:dd:d9:dd:c25:c25:e006:b0e2/1272c19:dd:d9:dd:c25:c25:e006:b0e3
1152c19:dd:d9:dd:c25:c25:e006:b0e4/1272c19:dd:d9:dd:c25:c25:e006:b0e5
1162c19:dd:d9:dd:c25:c25:e006:b0e6/1272c19:dd:d9:dd:c25:c25:e006:b0e7
1172c19:dd:d9:dd:c25:c25:e006:b0e8/1272c19:dd:d9:dd:c25:c25:e006:b0e9
1182c19:dd:d9:dd:c25:c25:e006:b0ea/1272c19:dd:d9:dd:c25:c25:e006:b0eb
1192c19:dd:d9:dd:c25:c25:e006:b0ec/1272c19:dd:d9:dd:c25:c25:e006:b0ed
1202c19:dd:d9:dd:c25:c25:e006:b0ee/1272c19:dd:d9:dd:c25:c25:e006:b0ef
1212c19:dd:d9:dd:c25:c25:e006:b0f0/1272c19:dd:d9:dd:c25:c25:e006:b0f1
1222c19:dd:d9:dd:c25:c25:e006:b0f2/1272c19:dd:d9:dd:c25:c25:e006:b0f3
1232c19:dd:d9:dd:c25:c25:e006:b0f4/1272c19:dd:d9:dd:c25:c25:e006:b0f5
1242c19:dd:d9:dd:c25:c25:e006:b0f6/1272c19:dd:d9:dd:c25:c25:e006:b0f7
1252c19:dd:d9:dd:c25:c25:e006:b0f8/1272c19:dd:d9:dd:c25:c25:e006:b0f9
1262c19:dd:d9:dd:c25:c25:e006:b0fa/1272c19:dd:d9:dd:c25:c25:e006:b0fb
1272c19:dd:d9:dd:c25:c25:e006:b0fc/1272c19:dd:d9:dd:c25:c25:e006:b0fd
1282c19:dd:d9:dd:c25:c25:e006:b0fe/1272c19:dd:d9:dd:c25:c25:e006:b0ff
1292c19:dd:d9:dd:c25:c25:e006:b100/1272c19:dd:d9:dd:c25:c25:e006:b101
1302c19:dd:d9:dd:c25:c25:e006:b102/1272c19:dd:d9:dd:c25:c25:e006:b103
1312c19:dd:d9:dd:c25:c25:e006:b104/1272c19:dd:d9:dd:c25:c25:e006:b105
1322c19:dd:d9:dd:c25:c25:e006:b106/1272c19:dd:d9:dd:c25:c25:e006:b107
1332c19:dd:d9:dd:c25:c25:e006:b108/1272c19:dd:d9:dd:c25:c25:e006:b109
1342c19:dd:d9:dd:c25:c25:e006:b10a/1272c19:dd:d9:dd:c25:c25:e006:b10b
1352c19:dd:d9:dd:c25:c25:e006:b10c/1272c19:dd:d9:dd:c25:c25:e006:b10d
1362c19:dd:d9:dd:c25:c25:e006:b10e/1272c19:dd:d9:dd:c25:c25:e006:b10f
1372c19:dd:d9:dd:c25:c25:e006:b110/1272c19:dd:d9:dd:c25:c25:e006:b111
1382c19:dd:d9:dd:c25:c25:e006:b112/1272c19:dd:d9:dd:c25:c25:e006:b113
1392c19:dd:d9:dd:c25:c25:e006:b114/1272c19:dd:d9:dd:c25:c25:e006:b115
1402c19:dd:d9:dd:c25:c25:e006:b116/1272c19:dd:d9:dd:c25:c25:e006:b117
1412c19:dd:d9:dd:c25:c25:e006:b118/1272c19:dd:d9:dd:c25:c25:e006:b119
1422c19:dd:d9:dd:c25:c25:e006:b11a/1272c19:dd:d9:dd:c25:c25:e006:b11b
1432c19:dd:d9:dd:c25:c25:e006:b11c/1272c19:dd:d9:dd:c25:c25:e006:b11d
1442c19:dd:d9:dd:c25:c25:e006:b11e/1272c19:dd:d9:dd:c25:c25:e006:b11f
1452c19:dd:d9:dd:c25:c25:e006:b120/1272c19:dd:d9:dd:c25:c25:e006:b121
1462c19:dd:d9:dd:c25:c25:e006:b122/1272c19:dd:d9:dd:c25:c25:e006:b123
1472c19:dd:d9:dd:c25:c25:e006:b124/1272c19:dd:d9:dd:c25:c25:e006:b125
1482c19:dd:d9:dd:c25:c25:e006:b126/1272c19:dd:d9:dd:c25:c25:e006:b127
1492c19:dd:d9:dd:c25:c25:e006:b128/1272c19:dd:d9:dd:c25:c25:e006:b129
1502c19:dd:d9:dd:c25:c25:e006:b12a/1272c19:dd:d9:dd:c25:c25:e006:b12b
1512c19:dd:d9:dd:c25:c25:e006:b12c/1272c19:dd:d9:dd:c25:c25:e006:b12d
1522c19:dd:d9:dd:c25:c25:e006:b12e/1272c19:dd:d9:dd:c25:c25:e006:b12f
1532c19:dd:d9:dd:c25:c25:e006:b130/1272c19:dd:d9:dd:c25:c25:e006:b131
1542c19:dd:d9:dd:c25:c25:e006:b132/1272c19:dd:d9:dd:c25:c25:e006:b133
1552c19:dd:d9:dd:c25:c25:e006:b134/1272c19:dd:d9:dd:c25:c25:e006:b135
1562c19:dd:d9:dd:c25:c25:e006:b136/1272c19:dd:d9:dd:c25:c25:e006:b137
1572c19:dd:d9:dd:c25:c25:e006:b138/1272c19:dd:d9:dd:c25:c25:e006:b139
1582c19:dd:d9:dd:c25:c25:e006:b13a/1272c19:dd:d9:dd:c25:c25:e006:b13b
1592c19:dd:d9:dd:c25:c25:e006:b13c/1272c19:dd:d9:dd:c25:c25:e006:b13d
1602c19:dd:d9:dd:c25:c25:e006:b13e/1272c19:dd:d9:dd:c25:c25:e006:b13f
1612c19:dd:d9:dd:c25:c25:e006:b140/1272c19:dd:d9:dd:c25:c25:e006:b141
1622c19:dd:d9:dd:c25:c25:e006:b142/1272c19:dd:d9:dd:c25:c25:e006:b143
1632c19:dd:d9:dd:c25:c25:e006:b144/1272c19:dd:d9:dd:c25:c25:e006:b145
1642c19:dd:d9:dd:c25:c25:e006:b146/1272c19:dd:d9:dd:c25:c25:e006:b147
1652c19:dd:d9:dd:c25:c25:e006:b148/1272c19:dd:d9:dd:c25:c25:e006:b149
1662c19:dd:d9:dd:c25:c25:e006:b14a/1272c19:dd:d9:dd:c25:c25:e006:b14b
1672c19:dd:d9:dd:c25:c25:e006:b14c/1272c19:dd:d9:dd:c25:c25:e006:b14d
1682c19:dd:d9:dd:c25:c25:e006:b14e/1272c19:dd:d9:dd:c25:c25:e006:b14f
1692c19:dd:d9:dd:c25:c25:e006:b150/1272c19:dd:d9:dd:c25:c25:e006:b151
1702c19:dd:d9:dd:c25:c25:e006:b152/1272c19:dd:d9:dd:c25:c25:e006:b153
1712c19:dd:d9:dd:c25:c25:e006:b154/1272c19:dd:d9:dd:c25:c25:e006:b155
1722c19:dd:d9:dd:c25:c25:e006:b156/1272c19:dd:d9:dd:c25:c25:e006:b157
1732c19:dd:d9:dd:c25:c25:e006:b158/1272c19:dd:d9:dd:c25:c25:e006:b159
1742c19:dd:d9:dd:c25:c25:e006:b15a/1272c19:dd:d9:dd:c25:c25:e006:b15b
1752c19:dd:d9:dd:c25:c25:e006:b15c/1272c19:dd:d9:dd:c25:c25:e006:b15d
1762c19:dd:d9:dd:c25:c25:e006:b15e/1272c19:dd:d9:dd:c25:c25:e006:b15f
1772c19:dd:d9:dd:c25:c25:e006:b160/1272c19:dd:d9:dd:c25:c25:e006:b161
1782c19:dd:d9:dd:c25:c25:e006:b162/1272c19:dd:d9:dd:c25:c25:e006:b163
1792c19:dd:d9:dd:c25:c25:e006:b164/1272c19:dd:d9:dd:c25:c25:e006:b165
1802c19:dd:d9:dd:c25:c25:e006:b166/1272c19:dd:d9:dd:c25:c25:e006:b167
1812c19:dd:d9:dd:c25:c25:e006:b168/1272c19:dd:d9:dd:c25:c25:e006:b169
1822c19:dd:d9:dd:c25:c25:e006:b16a/1272c19:dd:d9:dd:c25:c25:e006:b16b
1832c19:dd:d9:dd:c25:c25:e006:b16c/1272c19:dd:d9:dd:c25:c25:e006:b16d
1842c19:dd:d9:dd:c25:c25:e006:b16e/1272c19:dd:d9:dd:c25:c25:e006:b16f
1852c19:dd:d9:dd:c25:c25:e006:b170/1272c19:dd:d9:dd:c25:c25:e006:b171
1862c19:dd:d9:dd:c25:c25:e006:b172/1272c19:dd:d9:dd:c25:c25:e006:b173
1872c19:dd:d9:dd:c25:c25:e006:b174/1272c19:dd:d9:dd:c25:c25:e006:b175
1882c19:dd:d9:dd:c25:c25:e006:b176/1272c19:dd:d9:dd:c25:c25:e006:b177
1892c19:dd:d9:dd:c25:c25:e006:b178/1272c19:dd:d9:dd:c25:c25:e006:b179
1902c19:dd:d9:dd:c25:c25:e006:b17a/1272c19:dd:d9:dd:c25:c25:e006:b17b
1912c19:dd:d9:dd:c25:c25:e006:b17c/1272c19:dd:d9:dd:c25:c25:e006:b17d
1922c19:dd:d9:dd:c25:c25:e006:b17e/1272c19:dd:d9:dd:c25:c25:e006:b17f
1932c19:dd:d9:dd:c25:c25:e006:b180/1272c19:dd:d9:dd:c25:c25:e006:b181
1942c19:dd:d9:dd:c25:c25:e006:b182/1272c19:dd:d9:dd:c25:c25:e006:b183
1952c19:dd:d9:dd:c25:c25:e006:b184/1272c19:dd:d9:dd:c25:c25:e006:b185
1962c19:dd:d9:dd:c25:c25:e006:b186/1272c19:dd:d9:dd:c25:c25:e006:b187
1972c19:dd:d9:dd:c25:c25:e006:b188/1272c19:dd:d9:dd:c25:c25:e006:b189
1982c19:dd:d9:dd:c25:c25:e006:b18a/1272c19:dd:d9:dd:c25:c25:e006:b18b
1992c19:dd:d9:dd:c25:c25:e006:b18c/1272c19:dd:d9:dd:c25:c25:e006:b18d
2002c19:dd:d9:dd:c25:c25:e006:b18e/1272c19:dd:d9:dd:c25:c25:e006:b18f
2012c19:dd:d9:dd:c25:c25:e006:b190/1272c19:dd:d9:dd:c25:c25:e006:b191
2022c19:dd:d9:dd:c25:c25:e006:b192/1272c19:dd:d9:dd:c25:c25:e006:b193
2032c19:dd:d9:dd:c25:c25:e006:b194/1272c19:dd:d9:dd:c25:c25:e006:b195
2042c19:dd:d9:dd:c25:c25:e006:b196/1272c19:dd:d9:dd:c25:c25:e006:b197
2052c19:dd:d9:dd:c25:c25:e006:b198/1272c19:dd:d9:dd:c25:c25:e006:b199
2062c19:dd:d9:dd:c25:c25:e006:b19a/1272c19:dd:d9:dd:c25:c25:e006:b19b
2072c19:dd:d9:dd:c25:c25:e006:b19c/1272c19:dd:d9:dd:c25:c25:e006:b19d
2082c19:dd:d9:dd:c25:c25:e006:b19e/1272c19:dd:d9:dd:c25:c25:e006:b19f
2092c19:dd:d9:dd:c25:c25:e006:b1a0/1272c19:dd:d9:dd:c25:c25:e006:b1a1
2102c19:dd:d9:dd:c25:c25:e006:b1a2/1272c19:dd:d9:dd:c25:c25:e006:b1a3
2112c19:dd:d9:dd:c25:c25:e006:b1a4/1272c19:dd:d9:dd:c25:c25:e006:b1a5
2122c19:dd:d9:dd:c25:c25:e006:b1a6/1272c19:dd:d9:dd:c25:c25:e006:b1a7
2132c19:dd:d9:dd:c25:c25:e006:b1a8/1272c19:dd:d9:dd:c25:c25:e006:b1a9
2142c19:dd:d9:dd:c25:c25:e006:b1aa/1272c19:dd:d9:dd:c25:c25:e006:b1ab
2152c19:dd:d9:dd:c25:c25:e006:b1ac/1272c19:dd:d9:dd:c25:c25:e006:b1ad
2162c19:dd:d9:dd:c25:c25:e006:b1ae/1272c19:dd:d9:dd:c25:c25:e006:b1af
2172c19:dd:d9:dd:c25:c25:e006:b1b0/1272c19:dd:d9:dd:c25:c25:e006:b1b1
2182c19:dd:d9:dd:c25:c25:e006:b1b2/1272c19:dd:d9:dd:c25:c25:e006:b1b3
2192c19:dd:d9:dd:c25:c25:e006:b1b4/1272c19:dd:d9:dd:c25:c25:e006:b1b5
2202c19:dd:d9:dd:c25:c25:e006:b1b6/1272c19:dd:d9:dd:c25:c25:e006:b1b7
2212c19:dd:d9:dd:c25:c25:e006:b1b8/1272c19:dd:d9:dd:c25:c25:e006:b1b9
2222c19:dd:d9:dd:c25:c25:e006:b1ba/1272c19:dd:d9:dd:c25:c25:e006:b1bb
2232c19:dd:d9:dd:c25:c25:e006:b1bc/1272c19:dd:d9:dd:c25:c25:e006:b1bd
2242c19:dd:d9:dd:c25:c25:e006:b1be/1272c19:dd:d9:dd:c25:c25:e006:b1bf
2252c19:dd:d9:dd:c25:c25:e006:b1c0/1272c19:dd:d9:dd:c25:c25:e006:b1c1
2262c19:dd:d9:dd:c25:c25:e006:b1c2/1272c19:dd:d9:dd:c25:c25:e006:b1c3
2272c19:dd:d9:dd:c25:c25:e006:b1c4/1272c19:dd:d9:dd:c25:c25:e006:b1c5
2282c19:dd:d9:dd:c25:c25:e006:b1c6/1272c19:dd:d9:dd:c25:c25:e006:b1c7
2292c19:dd:d9:dd:c25:c25:e006:b1c8/1272c19:dd:d9:dd:c25:c25:e006:b1c9
2302c19:dd:d9:dd:c25:c25:e006:b1ca/1272c19:dd:d9:dd:c25:c25:e006:b1cb
2312c19:dd:d9:dd:c25:c25:e006:b1cc/1272c19:dd:d9:dd:c25:c25:e006:b1cd
2322c19:dd:d9:dd:c25:c25:e006:b1ce/1272c19:dd:d9:dd:c25:c25:e006:b1cf
2332c19:dd:d9:dd:c25:c25:e006:b1d0/1272c19:dd:d9:dd:c25:c25:e006:b1d1
2342c19:dd:d9:dd:c25:c25:e006:b1d2/1272c19:dd:d9:dd:c25:c25:e006:b1d3
2352c19:dd:d9:dd:c25:c25:e006:b1d4/1272c19:dd:d9:dd:c25:c25:e006:b1d5
2362c19:dd:d9:dd:c25:c25:e006:b1d6/1272c19:dd:d9:dd:c25:c25:e006:b1d7
2372c19:dd:d9:dd:c25:c25:e006:b1d8/1272c19:dd:d9:dd:c25:c25:e006:b1d9
2382c19:dd:d9:dd:c25:c25:e006:b1da/1272c19:dd:d9:dd:c25:c25:e006:b1db
2392c19:dd:d9:dd:c25:c25:e006:b1dc/1272c19:dd:d9:dd:c25:c25:e006:b1dd
2402c19:dd:d9:dd:c25:c25:e006:b1de/1272c19:dd:d9:dd:c25:c25:e006:b1df
2412c19:dd:d9:dd:c25:c25:e006:b1e0/1272c19:dd:d9:dd:c25:c25:e006:b1e1
2422c19:dd:d9:dd:c25:c25:e006:b1e2/1272c19:dd:d9:dd:c25:c25:e006:b1e3
2432c19:dd:d9:dd:c25:c25:e006:b1e4/1272c19:dd:d9:dd:c25:c25:e006:b1e5
2442c19:dd:d9:dd:c25:c25:e006:b1e6/1272c19:dd:d9:dd:c25:c25:e006:b1e7
2452c19:dd:d9:dd:c25:c25:e006:b1e8/1272c19:dd:d9:dd:c25:c25:e006:b1e9
2462c19:dd:d9:dd:c25:c25:e006:b1ea/1272c19:dd:d9:dd:c25:c25:e006:b1eb
2472c19:dd:d9:dd:c25:c25:e006:b1ec/1272c19:dd:d9:dd:c25:c25:e006:b1ed
2482c19:dd:d9:dd:c25:c25:e006:b1ee/1272c19:dd:d9:dd:c25:c25:e006:b1ef
2492c19:dd:d9:dd:c25:c25:e006:b1f0/1272c19:dd:d9:dd:c25:c25:e006:b1f1
2502c19:dd:d9:dd:c25:c25:e006:b1f2/1272c19:dd:d9:dd:c25:c25:e006:b1f3
2512c19:dd:d9:dd:c25:c25:e006:b1f4/1272c19:dd:d9:dd:c25:c25:e006:b1f5
2522c19:dd:d9:dd:c25:c25:e006:b1f6/1272c19:dd:d9:dd:c25:c25:e006:b1f7
2532c19:dd:d9:dd:c25:c25:e006:b1f8/1272c19:dd:d9:dd:c25:c25:e006:b1f9
2542c19:dd:d9:dd:c25:c25:e006:b1fa/1272c19:dd:d9:dd:c25:c25:e006:b1fb
2552c19:dd:d9:dd:c25:c25:e006:b1fc/1272c19:dd:d9:dd:c25:c25:e006:b1fd
2562c19:dd:d9:dd:c25:c25:e006:b1fe/1272c19:dd:d9:dd:c25:c25:e006:b1ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses